# H460_FeatureSet Class Reference

`#include <h4601.h>`

Collaboration diagram for H460_FeatureSet:

[legend]

## Public Member Functions

| H460_FeatureSet ()
| H460_FeatureSet (H460_FeatureSet *base)
| H460_FeatureSet (const H225_FeatureSet &fs)
| H460_FeatureSet (const H225_ArrayOf_GenericData &genericData)
H460_FeatureSet * | DeriveNewFeatureSet ()
virtual PBoolean | LoadFeatureSet (int inst=H460_Feature::FeatureBase, H323Connection *con=NULL)
PBoolean | ProcessFirstPDU (const H225_FeatureSet &fs)
virtual PBoolean | CreateFeatureSet (const H225_FeatureSet &fs)
virtual PBoolean | LoadFeature (const PString &featid)
PBoolean | AddFeature (H460_Feature *feat)
void | RemoveFeature (H460_FeatureID id)
H460_Feature * | GetFeature (const H460_FeatureID &id)
PBoolean | HasFeature (const H460_FeatureID &feat)
void | ReceiveFeature (unsigned id, const H225_FeatureSet &Message)
PBoolean | SendFeature (unsigned id, H225_FeatureSet &Message)
virtual void | AttachEndPoint (H323EndPoint *ep)
virtual void | AttachBaseFeatureSet (H460_FeatureSet *baseSet)
H323EndPoint * | GetEndPoint ()

## Protected Member Functions

PBoolean | CreateFeatureSetPDU (H225_FeatureSet &fs, unsigned MessageID)
void | ReadFeatureSetPDU (const H225_FeatureSet &fs, unsigned MessageID)
H460_FeatureID | GetFeatureIDPDU (H225_FeatureDescriptor &pdu)
PBoolean | CreateFeaturePDU (H460_Feature &Feat, H225_FeatureDescriptor &pdu, unsigned MessageID)
void | ReadFeaturePDU (H460_Feature &Feat, const H225_FeatureDescriptor &pdu, unsigned MessageID)
PString | PTracePDU (PINDEX id) const

## Protected Attributes

H460_Features | m_features
H323EndPoint * | m_endpoint
H460_FeatureSet * | m_baseSet

## Constructor & Destructor Documentation

H460_FeatureSet::H460_FeatureSet | ( |  | ) |

Blank Constructor

H460_FeatureSet::H460_FeatureSet | ( | H460_FeatureSet * | base | ) |

Build a new featureSet from a base featureset

H460_FeatureSet::H460_FeatureSet | ( | const H225_FeatureSet & | fs | ) |

Build a Feature Set from the contents of a Feature Set PDU

H460_FeatureSet::H460_FeatureSet | ( | const H225_ArrayOf_GenericData & | genericData | ) |

Build a FeatureSet from the contents of a generic data field.

## Member Function Documentation

PBoolean H460_FeatureSet::AddFeature | ( | H460_Feature * | feat | ) |

Add a Feature to the Feature Set

virtual void H460_FeatureSet::AttachBaseFeatureSet | ( | H460_FeatureSet * | baseSet | ) | `[virtual]`

Attach Base FeatureSet

virtual void H460_FeatureSet::AttachEndPoint | ( | H323EndPoint * | ep | ) | `[virtual]`

Attach Endpoint

PBoolean H460_FeatureSet::CreateFeaturePDU | ( | H460_Feature & | Feat,
|  | H225_FeatureDescriptor & | pdu,
|  | unsigned | MessageID |
| ) |  |  | `[protected]`

virtual PBoolean H460_FeatureSet::CreateFeatureSet | ( | const H225_FeatureSet & | fs | ) | `[virtual]`

Create FeatureSet from a FeatureSet PDU

PBoolean H460_FeatureSet::CreateFeatureSetPDU | ( | H225_FeatureSet & | fs,
|  | unsigned | MessageID |
| ) |  |  | `[protected]`

H460_FeatureSet* H460_FeatureSet::DeriveNewFeatureSet | ( |  | ) |

Derive new Feature Set based on this Feature Set ie Clone this FeatureSet

H323EndPoint* H460_FeatureSet::GetEndPoint | ( |  | ) | `[inline]`

Attach Endpoint to collect Events from

H460_Feature* H460_FeatureSet::GetFeature | ( | const H460_FeatureID & | id | ) |

Get Feature with id

H460_FeatureID H460_FeatureSet::GetFeatureIDPDU | ( | H225_FeatureDescriptor & | pdu | ) | `[protected]`

PBoolean H460_FeatureSet::HasFeature | ( | const H460_FeatureID & | feat | ) |

Determine if the FeatureSet has a particular FeatureID.

virtual PBoolean H460_FeatureSet::LoadFeature | ( | const PString & | featid | ) | `[virtual]`

Load Feature from id.

virtual PBoolean H460_FeatureSet::LoadFeatureSet | ( | int | inst = `H460_Feature::FeatureBase`,
|  | H323Connection * | con = `NULL` |
| ) |  |  | `[virtual]`

Load Entire Feature Sets from PFactory loader

PBoolean H460_FeatureSet::ProcessFirstPDU | ( | const H225_FeatureSet & | fs | ) |

Process the first PDU, This will combine the features supported by the remote and local party to derive a common feature set. This will remove features that are not supported be the remote.

PString H460_FeatureSet::PTracePDU | ( | PINDEX | id | ) | const`[protected]`

void H460_FeatureSet::ReadFeaturePDU | ( | H460_Feature & | Feat,
|  | const H225_FeatureDescriptor & | pdu,
|  | unsigned | MessageID |
| ) |  |  | `[protected]`

void H460_FeatureSet::ReadFeatureSetPDU | ( | const H225_FeatureSet & | fs,
|  | unsigned | MessageID |
| ) |  |  | `[protected]`

void H460_FeatureSet::ReceiveFeature | ( | unsigned | id,
|  | const H225_FeatureSet & | Message |
| ) |  |  |

New Processing Paradigm Main PDU & RAS link to OpenH323

void H460_FeatureSet::RemoveFeature | ( | H460_FeatureID | id | ) |

Remove a Feature from the Feature Set

PBoolean H460_FeatureSet::SendFeature | ( | unsigned | id,
|  | H225_FeatureSet & | Message |
| ) |  |  |

New Processing Paradigm Main PDU & RAS link to OpenH323

## Field Documentation

H460_FeatureSet* H460_FeatureSet::m_baseSet `[protected]`

H323EndPoint* H460_FeatureSet::m_endpoint `[protected]`

H460_Features H460_FeatureSet::m_features `[protected]`

The documentation for this class was generated from the following file:

- h4601.h